| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::WSToolDialog Class Reference
Inheritance diagram for Digikam::WSToolDialog:

## Signals
void | cancelClicked ()

## Public Member Functions
| WSToolDialog (QWidget *const parent, const QString &objName)
void | addButton (QAbstractButton *button, QDialogButtonBox::ButtonRole role)
void | setMainWidget (QWidget *const widget)
void | setRejectButtonMode (QDialogButtonBox::StandardButton button)
QPushButton * | startButton () const
Public Member Functions inherited from Digikam::DPluginDialog
| DPluginDialog (QWidget *const parent, const QString &objName)
void | setPlugin (DPlugin *const tool)

## Additional Inherited Members
Protected Member Functions inherited from Digikam::DPluginDialog
void | showEvent (QShowEvent *) override
Protected Attributes inherited from Digikam::DPluginDialog
QDialogButtonBox * | m_buttons = nullptr